Create a branch
Creates a new Git branch in the documentation repository. Requires editor or admin role.
curl -X POST "https://api.documentationai.app/api/v1/branches" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"branchName": "feature/new-docs",
"sourceBranch": "example_string"
}'
import requests
import json
url = "https://api.documentationai.app/api/v1/branches"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"branchName": "feature/new-docs",
"sourceBranch": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.documentationai.app/api/v1/branches", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"branchName": "feature/new-docs",
"sourceBranch": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"branchName": "feature/new-docs",
"sourceBranch": "example_string"
}`)
req, err := http.NewRequest("POST", "https://api.documentationai.app/api/v1/branches", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.documentationai.app/api/v1/branches')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"branchName": "feature/new-docs",
"sourceBranch": "example_string"
}'
response = http.request(request)
puts response.body
{
"branchName": "John Doe",
"sourceBranch": "example_string",
"sourceSha": "example_string"
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
POST
/branches
POST
Bearer Token
Bearer Tokenstring
RequiredAPI key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as Authorization: Bearer dai_...
API key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as
Authorization: Bearer dai_...Content-Typestring
RequiredThe media type of the request body
Options: application/json
branchNamestring
RequiredName for the new branch
Min length: 1
sourceBranchstring
Branch to create from. Defaults to the deployment branch.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. API key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as Authorization: Bearer dai_...
Body
application/json
branchNamestring
RequiredName for the new branch
sourceBranchstring
Branch to create from. Defaults to the deployment branch.
Responses
branchNamestring
sourceBranchstring
sourceShastring
statusCodeinteger
errorstring
messagestring
statusCodeinteger
errorstring
messagestring
statusCodeinteger
errorstring
messagestring
Was this page helpful?
Last updated 2 days ago
Built with Documentation.AI